# Get a list of available rental discount plans Endpoint: GET /rental-discount-plans Version: 2.22 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `contractOwnerId` (string) Filter by contract owner Example: "0" - `name` (string) Filter by name Example: "xyz | in:x,y | like:xyz" - `availableFrom` (string) Filter by available from date Example: "yyyy-MM-dd | lt:yyyy-MM-dd | gt:yyyy-MM-dd | gtn:yyyy-MM-dd" - `availableTo` (string) Filter by available to date Example: "yyyy-MM-dd | lt:yyyy-MM-dd | gt:yyyy-MM-dd | gtn:yyyy-MM-dd" ## Response 200 fields (application/json): - `id` (integer) Rental discount plan identifier Example: 1 - `contractOwnerId` (integer, required) The billing entity that will have access to this item Example: 1 - `name` (string, required) Rental discount plan name. Must be unique for a given contract owner Example: "12 month 50% off" - `durationInMonths` (integer, required) Duration of the discount plan in months Example: 12 - `availableFrom` (string, required) Available from date - `availableTo` (string) Available to date ## Response 400 fields ## Response 401 fields ## Response 403 fields